/*
 * Svjatoslav Commons - shared library of common functionality.
 * Copyright ©2012-2019, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 */

package eu.svjatoslav.commons.file;

import org.junit.Assert;
import org.junit.Test;

import java.io.File;
import java.io.IOException;

public class IOHelperTest {

    public static final String UTF_8 = "UTF-8";

    @Test
    public void testOverwriteFileIfContentDiffers() throws IOException {
        final File file = new File("overrideTest.txt");

        Assert.assertTrue(IOHelper.overwriteFileIfContentDiffers(file,
                "aoa".getBytes(UTF_8)));

        Assert.assertFalse(IOHelper.overwriteFileIfContentDiffers(file,
                "aoa".getBytes(UTF_8)));

        Assert.assertTrue(IOHelper.overwriteFileIfContentDiffers(file,
                "1234".getBytes(UTF_8)));

        file.delete();
    }

}
